<% if @tournament.present? %>
  <h1><%= @tournament.name %>
      <%= link_to 'Generate group', tournament_groups_path(@tournament), method: :post, class: 'btn btn-outline-success' if group_can_be_generated?(@tournament) %>
      <%= link_to 'Destroy all', clean_path, method: :delete, class: 'btn btn-outline-dark' %>
  </h1>
    <div class="row d-flex align-items-stretch">
          <% @tournament.teams.each do |team| %>
            <%= render team %>
          <% end %>
    </div>

    <div class="row d-flex align-items-stretch">
        <% @tournament.groups.each do |group| %>
          <%= render group %>
        <% end %>
    </div>

<% else %>

    <%= render 'layouts/welcome_jumbotron' %>

<% end %>